Subject: bug#63916: 30.0.50; use-package: changes do not propagate to elpa-devel

From: Benjamin Orthen <[email-masked]>
Date: Sun, 11 Jun 2023 19:32:09 +0200

Hi,

I think I figured out why elpa does not build a new version of use-
package.

To determine the devel version, it looks only at the git log of `(elpa-
-main-file pkg-spec)`, which in this case turns out to be use-
package.el. However, use-package.el has not been changed since
20230115, I suppose this is why no new version is built.

Best, Benjamin

On Sun, 2023-06-11 at 12:55 -0400, Stefan Monnier wrote:
> > > I agree that these kinds of problems are annoying to debug.  It
> > > would be
> > > nice to offer a "debug mode" where the user can see what's going
> > > on
> > > within the sandbox.  Maybe we could do that by opening an
> > > interactive
> > > shell with a message saying "this is the command that we want to
> > > run"
> > > and then let the user run that command?
> > Shouldn't just invoking bash do that?
> 
> Yes, it should be fairly easy to do.
> 
> > But returning to the initial issue (hoping I did not miss
> > anything), if
> > the issue is not what I mentioned, then why is use-package not
> > building?
> 
> You did not miss anything: it's not building simply because the
> process
> run within the sandbox cannot read the target of the `use-
> package.texi`
> symlink because the sandbox does not expose this target.
> 
> 
>         Stefan
>